<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
/*
  Written by Ivan Kristianto of http://ivankristianto.com (ivan.kristianto@gmail.com)

  ---------------------------------------------------------------
  Note from the author
  ---------------------------------------------------------------
  This tool was designed and tested on zen-cart v1.0.8a.
  Hope this helps make your life easier! If you have any suggestion
  please feel free to email me and visit my blog for an update.

  - Ivan Kristianto, September 27th, 2008
*/

  global $db;
  require('includes/application_top.php');
  include(DIR_WS_CLASSES . 'order.php');

  $action = $_GET['action'];
  if($action == 'create_order') {
    // Create the order based on customer id
    $customer_id = $_POST['customer'];
    $customer_query = "SELECT c.`customers_firstname` , c.`customers_lastname` , c.`customers_email_address` , c.`customers_telephone`, ab.`entry_company` ,  ab.`entry_street_address` ,  ab.`entry_suburb` , ab.`entry_postcode` , ab.`entry_city` , ab.`entry_state` , ab.`entry_country_id` , 
              ab.`entry_zone_id` FROM ".TABLE_CUSTOMERS." c JOIN ".TABLE_ADDRESS_BOOK." ab ON ( c.`customers_default_address_id` = ab.`address_book_id` ) 
              WHERE c.`customers_id` = ".$customer_id;
    $customer_info = $db->Execute($customer_query);
    $customer_info->fields['format_id'] = zen_get_address_format_id($customer_info->fields['entry_country_id']);
    $customer_info->fields['country_name'] = zen_get_country_name($customer_info->fields['entry_country_id']);
    
    $order_query = array('customers_id' => $customer_id,
		       'customers_name' => $customer_info->fields['customers_firstname'] . " " . $customer_info->fields['customers_lastname'],
		       'customers_company' => $customer_info->fields['entry_company'],
                       'customers_street_address' => $customer_info->fields['entry_street_address'],
		       'customers_suburb' => $customer_info->fields['entry_suburb'],
		       'customers_city' => $customer_info->fields['entry_city'],
		       'customers_postcode' => $customer_info->fields['entry_postcode'],
		       'customers_state' => $customer_info->fields['entry_state'],
		       'customers_country' => $customer_info->fields['country_name'],
		       'customers_telephone' => $customer_info->fields['customers_telephone'],
                       'customers_email_address' => $customer_info->fields['customers_email_address'],
		       'customers_address_format_id' => $customer_info->fields['format_id'],
		       'delivery_name' => $customer_info->fields['customers_firstname'] . " " . $customer_info->fields['customers_lastname'],
		       'delivery_company' => $customer_info->fields['entry_company'],
                       'delivery_street_address' => $customer_info->fields['entry_street_address'],
		       'delivery_suburb' => $customer_info->fields['entry_suburb'],
		       'delivery_city' => $customer_info->fields['entry_city'],
		       'delivery_postcode' => $customer_info->fields['entry_postcode'],
		       'delivery_state' => $customer_info->fields['entry_state'],
		       'delivery_country' => $customer_info->fields['country_name'],
		       'delivery_address_format_id' => $customer_info->fields['format_id'],
		       'billing_name' => $customer_info->fields['customers_firstname'] . " " . $customer_info->fields['customers_lastname'],
		       'billing_company' => $customer_info->fields['entry_company'],
                       'billing_street_address' => $customer_info->fields['entry_street_address'],
		       'billing_suburb' => $customer_info->fields['entry_suburb'],
		       'billing_city' => $customer_info->fields['entry_city'],
		       'billing_postcode' => $customer_info->fields['entry_postcode'],
		       'billing_state' => $customer_info->fields['entry_state'],
		       'billing_country' => $customer_info->fields['country_name'],
		       'billing_address_format_id' => $customer_info->fields['format_id'],
		       'payment_method' => 'Credit Card',
                       'payment_module_code' => 'cc',
		       'shipping_method' => 'FREE SHIPPING! (Free Shipping Only)',
                       'shipping_module_code' => 'freeshipper',
		       'coupon_code' => ' ',
		       'date_purchased' => 'now()', 
                       'orders_status' => DEFAULT_ORDERS_STATUS_ID,
		       'currency' => DEFAULT_CURRENCY,
		       'currency_value' => zen_get_currency_value(DEFAULT_CURRENCY),
		       'order_total' => '0.00',
                       'order_tax' => '0.00',
                       'paypal_ipn_id' => '0',
		       'ip_address' => $_SERVER['REMOTE_ADDR']. " - " . $_SERVER['REMOTE_ADDR']
		       );
    //print_r($order_query);
    zen_db_perform(TABLE_ORDERS, $order_query);
    $insert_id = $db->insert_ID();

    //Insert Order status History
    $order_status = array('orders_id' => $insert_id,
                          'orders_status_id' => DEFAULT_ORDERS_STATUS_ID,
                          'date_added' => 'now()'
                         );
    //echo '<br/>';
    //print_r($order_status);
    zen_db_perform(TABLE_ORDERS_STATUS_HISTORY, $order_status);

    include(DIR_WS_CLASSES . 'currencies.php');
    $currency = new currencies();
    $temp_amount = $currency->format(0);
    //Insert Order Total
    $order_total = array('orders_id' => $insert_id,
                            'title' => 'Sub-Total',
                            'text' => $temp_amount,
                            'value' => "0.00", 
                            'class' => "ot_subtotal", 
                            'sort_order' => "1");
    //echo '<br/>';
    //print_r($order_total);
    zen_db_perform(TABLE_ORDERS_TOTAL, $order_total);

    $order_total = array('orders_id' => $insert_id,
                            'title' => 'FREE SHIPPING! (Free Shipping Only)',
                            'text' => $temp_amount,
                            'value' => "0.00", 
                            'class' => "ot_shipping", 
                            'sort_order' => "2");
    //echo '<br/>';
    //print_r($order_total);
    zen_db_perform(TABLE_ORDERS_TOTAL, $order_total);

    $order_total = array('orders_id' => $insert_id,
                            'title' => 'Total',
                            'text' => $temp_amount,
                            'value' => "0.00", 
                            'class' => "ot_total", 
                            'sort_order' => "3");
    //echo '<br/>';
    //print_r($order_total);
    zen_db_perform(TABLE_ORDERS_TOTAL, $order_total);

    zen_redirect(zen_href_link("edit_orders.php", zen_get_all_get_params(array('action')) . 'action=edit&oID='.$insert_id));
  }
  
   $customers_query = $db -> Execute("select customers_id, CONCAT( customers_firstname, ' ', customers_lastname ) AS customers_fullname, customers_email_address from " . TABLE_CUSTOMERS . " ORDER BY customers_firstname");
    while(!$customers_query -> EOF) {
	$customers[] = array('id' => $customers_query->fields['customers_id'],
                           'text' => $customers_query->fields['customers_fullname'].' ('.$customers_query->fields['customers_email_address'].')');
        $customers_query->MoveNext();
    }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<script language="JavaScript" src="includes/menu.js" type="text/JavaScript"></script>
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
  // -->
</script>

</head>
<body onload="init()" marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="100%" valign="top">
      <table border="0" width="100%" cellspacing="0" cellpadding="2">
         <tr>
           <td width="100%">
             <table border="0" width="100%" cellspacing="0" cellpadding="0">
               <tr>
                 <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
                 <td class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
               </tr>
             </table>
           </td>
         </tr>
         <tr>
           <td>
<?php    
             echo zen_draw_form('create_order', "create_order.php", zen_get_all_get_params(array('action')). 'action=create_order');
?>
             <table border="0" width="50%" cellspacing="0" cellpadding="2">
               <tr>
                <td class="main"><?php echo CUSTOMER_INPUT;?></td>
                <td class="main"><?php echo zen_draw_pull_down_menu('customer', $customers );?></td>
                <td class="main"><?php echo zen_image_submit('create_order.gif', IMAGE_CREATE); ?></td>
               </tr>
               <tr>
                <td><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
                <td class="main"><b>- OR -</b></td>
                <td><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
               </tr>
               <tr>
                <td class="main" colspan="2"><a href="<?php echo zen_href_link(FILENAME_ADD_CUSTOMERS, ' ', 'NONSSL'); ?>"><?php echo zen_image_button('create_customer.gif', CUSTOMER_CREATE); ?></a></td>
                <td><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
               </tr>
             </table>
            </form> <br/><br/>
            <table border="0" width="60%" cellspacing="0" cellpadding="2">
               <tr>
                <td class="main">If this module make your life easier, buy me a cup of coffee to say thanks...</td>
                <td><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
               </tr>
               <tr>
                <td class="main"><form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank">
<input type="hidden" name="cmd" value="_xclick" />
<input type="hidden" name="business" value="ivan.kristianto@gmail.com" />
<input type="hidden" name="item_name" value="Zen Cart Simple Create Order module" />
<input type="hidden" name="no_note" value="1" />
<input type="hidden" name="currency_code" value="USD" />
<input type="hidden" name="tax" value="0" />
<input type="hidden" name="lc" value="US" />
<input type="image" src="https://www.paypal.com/en_US/i/btn/x-click-but04.gif" name="submit" alt="Make payments with PayPal - it's fast, free and secure!" />
</form>

</form></td> <td><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
               </tr>
             </table>
           </td>
         </tr>
      </table>
    </td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php
require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
